<?php

namespace Drupal\epositivity\Controller;

class TransactionsController {

  /**
   * Returns a transactions page.
   *
   * @return array
   *   A simple renderable array.
   */
  public function all() {

    $db = \Drupal::database();
    $query = $db->select('epositivity_transaction','et');
    $query->join('webform_submission', 'ws', 'et.sid = ws.sid');
    $query
      ->fields('et')
      ->fields('ws')
      ->orderBy('et.etid', 'DESC');
    $results = $query->execute()->fetchAll();

    return [
      '#title' => "Transactions of AXEPTA e-POSitivity payment gateways",
      '#results' => $results,
      '#theme' => 'epositivity-admin-transactions'
    ];
  }
}
